Bug 1021952 - JGroups X509Token Authentication is vulnerable to replay attacks
JGroups X509Token Authentication is vulnerable to replay attacks
Status: CLOSED WONTFIX
Product: JBoss Data Grid 6
Classification: JBoss
Component: JGroups (Show other bugs)
6.2.0
Unspecified Unspecified
unspecified Severity high
: ---
: ---
Assigned To: Tristan Tarrant
Martin Gencur
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-10-22 07:49 EDT by Martin Gencur
Modified: 2014-07-23 01:59 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-04-29 09:11:17 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
JBoss Issue Tracker JGRP-1487 Major Resolved AUTH: X509Token Authentication is vulnerable to replay attacks 2017-05-15 10:27 EDT

  None (edit)
Description Martin Gencur 2013-10-22 07:49:52 EDT
See description of the bug in linked JIRA.
Comment 2 JBoss JIRA Server 2013-10-23 03:36:40 EDT
Bela Ban <bela@jboss.com> made a comment on jira JGRP-1487

Tristan's looking into this now
Comment 3 Martin Gencur 2014-04-29 09:11:17 EDT
The AUTH protocol will be replaced by SASL.
Comment 4 JBoss JIRA Server 2014-07-23 01:59:27 EDT
Bela Ban <bela@jboss.com> updated the status of jira JGRP-1487 to Resolved

Note You need to log in before you can comment on or make changes to this bug.